package com.fos.modules.order.entity;




import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class FoodEntity extends BaseEntity{

	/**
	 * 
	 */
	@JSONField(name="foodId")
    private int foodId;   //食品ID
	
	@JSONField(name="foodNum")
    private int foodNum;   //食品数量
	
	@JSONField(name="userId")
    private int userId;   
	
	@JSONField(name = "orderFoodId")
    private int orderFoodId;
	
	@JSONField(name="preNum")
    private int preNum;   //食品口味

	@JSONField(name="preId")
    private List<Integer> preId;   //食品口味



	public int getUserId() {
		return userId;
	}



	public void setUserId(int userId) {
		this.userId = userId;
	}



	public int getPreNum() {
		return preNum;
	}



	public void setPreNum(int preNum) {
		this.preNum = preNum;
	}



	public int getFoodId() {
		return foodId;
	}



	public void setFoodId(int foodId) {
		this.foodId = foodId;
	}



	public int getFoodNum() {
		return foodNum;
	}



	public void setFoodNum(int foodNum) {
		this.foodNum = foodNum;
	}



	



	public int getOrderFoodId() {
		return orderFoodId;
	}



	public void setOrderFoodId(int orderFoodId) {
		this.orderFoodId = orderFoodId;
	}



	public List<Integer> getPreId() {
		return preId;
	}



	public void setPreId(List<Integer> preId) {
		this.preId = preId;
	}



	
}
